Name: x11-driver-input-mutouch
Version: 1.3.0
Release: %mkrel 10
Summary: X.org input driver for MicroTouch devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mutouch-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

%description
Mutouch is an X.org input driver for MicroTouch devices.

%prep
%setup -q -n xf86-input-mutouch-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/input/mutouch_drv.la
%{_libdir}/xorg/modules/input/mutouch_drv.so
%{_mandir}/man4/mutouch.*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-10.mga4
+ Revision: 525390
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.3.0-9.mga4
+ Revision: 433137
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.3.0-8.mga4
+ Revision: 385959
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.3.0-7.mga3
+ Revision: 289367
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.3.0-6.mga3
+ Revision: 256332
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.3.0-5.mga3
+ Revision: 252995
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.3.0-4.mga3.nonfree
+ Revision: 250206
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.3.0-3.mga2
+ Revision: 177530
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.3.0-2.mga2
+ Revision: 153104
- rebuild for xserver-1.11

* Wed Jun 29 2011 tv <tv> 1.3.0-1.mga2
+ Revision: 116138
- new release
- drop patch 0 (merged)

* Sat Mar 05 2011 tmb <tmb> 1.2.1-5.mga1
+ Revision: 64834
- fix build with x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.2.1-3.mga1
+ Revision: 50156
- imported package x11-driver-input-mutouch


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.1-3mdv2011.0
+ Revision: 595753
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.1-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 486030
- new version 1.2.1
- adopt to new abi

  + Emmanuel Andry <eandry@mandriva.org>
    - use configure2_5x

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix group

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 265870
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194284
- Update to version 1.2.0.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-7mdv2008.1
+ Revision: 160491
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-6mdv2008.1
+ Revision: 156586
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-5mdv2008.1
+ Revision: 154959
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-input-mutouch-1.1.0@mandriva suggested on upstream
 Tag at git checkout 5e10ff7ecda4df10b6e4d8b7767f5fc64923653e
 The tag at this moment is considered correct as there are no functional changes
  for more than 2 years, most recent changes being changes/updates to .gitignore
  and .cvsignore.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-4mdv2008.1
+ Revision: 98643
- minor spec cleanup
- build against xserver 1.4

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

